Loading...
Searching...
No Matches
geo_locate< T, M >

## Detailed Description

template<class T, class M>
class rheolef::geo_locate< T, M >

Definition at line 40 of file geo_locate.h.

## Public Types

typedef disarray< T, M >::size_type | size_type

## Public Member Functions

| geo_locate ()
| geo_locate (const geo_locate< T, M > &)
geo_locate< T, M > & | operator= (const geo_locate< T, M > &)
| ~geo_locate ()
size_type | seq_locate (const geo_base_rep< T, M > &omega, const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const
size_type | dis_locate (const geo_base_rep< T, M > &omega, const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const

## Static Public Member Functions

static geo_locate_abstract_rep< T, M > * | make_ptr (const geo_base_rep< T, M > &omega)

## Protected Attributes

geo_locate_abstract_rep< T, M > * | _ptr

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef disarray<T,M>::size_type size_type

Definition at line 42 of file geo_locate.h.

## Constructor & Destructor Documentation

## geo_locate() [1/2]

template<class T , class M >

geo_locate | ( |  | ) |

Definition at line 43 of file geo_locate.h.

## geo_locate() [2/2]

template<class T , class M >

geo_locate | ( | const geo_locate< T, M > & |  | ) |

Definition at line 44 of file geo_locate.h.

## ~geo_locate()

template<class T , class M >

~geo_locate | ( |  | ) |

Definition at line 210 of file geo_locate.cc.

## Member Function Documentation

## operator=()

template<class T , class M >

geo_locate< T, M > & operator= | ( | const geo_locate< T, M > & |  | ) |

Definition at line 45 of file geo_locate.h.

## make_ptr()

template<class T , class M >

geo_locate_abstract_rep< T, M > * make_ptr | ( | const geo_base_rep< T, M > & | omega | ) |

static

Definition at line 296 of file geo_locate.cc.

## seq_locate()

template<class T , class M >

geo_locate< T, M >::size_type seq_locate | ( | const geo_base_rep< T, M > & | omega,
|  | const point_basic< T > & | x,
|  | size_type | dis_ie_guest = `std::numeric_limits<size_type>::max()`
| ) |  | const

Definition at line 218 of file geo_locate.cc.

## dis_locate()

template<class T , class M >

geo_locate< T, M >::size_type dis_locate | ( | const geo_base_rep< T, M > & | omega,
|  | const point_basic< T > & | x,
|  | size_type | dis_ie_guest = `std::numeric_limits<size_type>::max()`
| ) |  | const

Definition at line 228 of file geo_locate.cc.

## Member Data Documentation

## _ptr

template<class T , class M >

geo_locate_abstract_rep<T,M>* _ptr

mutable protected

Definition at line 58 of file geo_locate.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/geo_locate.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/geo_locate.cc